Attribute VB_Name = "Module1"
Sub RemindNewMessages(Item As Outlook.MailItem)
  
Dim objInbox As Outlook.MAPIFolder
Dim objDest As Outlook.Folder
Dim intCount As Integer
Dim objVariant As Variant
  
Set objInbox = Session.GetDefaultFolder(olFolderInbox)
' Set specific folder for the MicroVault emails to be sent to and updated when they arrive
Set objDest = Session.GetDefaultFolder(olFolderInbox).Parent.Folders("MKS MicroVault")
  
' Set the flag/reminder on newly arrived message,
 With Item
    .MarkAsTask olMarkThisWeek
    ' Set the follow-up for 2 days
    .TaskDueDate = Now + 2
    .ReminderSet = True
    ' Set the Reminder for 27 hours
    .ReminderTime = Now + 1.125
    ' Set a catagory name of Last Received Backup
    .Categories = "Last Received Backup"
    .Save
    'Set the email to read
    .UnRead = False
    ' Move Item to MKS MicroVault folder
    .Move objDest
End With
 
Item.Save
  
' Look for existing messages with the same information and remove the flag and reminder
For intCount = objDest.Items.Count To 1 Step -1
 Set objVariant = objDest.Items.Item(intCount)
  
 If objVariant.MessageClass = "IPM.Note" Then
    If LCase(objVariant.Subject) = LCase(Item.Subject) And objVariant.SentOn < Item.SentOn Then
' Clear the flag and category settings
With objVariant
    .ClearTaskFlag
    .Categories = ""
    .Save
End With
 
'or just delete the older messages
   '  objVariant.Delete
     Else
    End If
 End If
Next
  
Set objInbox = Nothing
Set objDest = Nothing
End Sub

Sub MKSMicroVaultReminders()

End Sub
